## ros-indigo-industrial-robot-simulator 0.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(industrial_robot_simulator)

find_package(catkin REQUIRED COMPONENTS std_msgs sensor_msgs
  control_msgs trajectory_msgs)

catkin_package(
    CATKIN_DEPENDS std_msgs sensor_msgs control_msgs trajectory_msgs
)

##########
## Test ##
##########

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch
    DEPENDENCIES
      joint_trajectory_action)
endif()

#############
## Install ##
#############


install(PROGRAMS industrial_robot_simulator DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-indigo-industrial-robot-simulator (0.4.3-0trusty) trusty; urgency=high

  * No changes

 -- Shaun Edwards <sedwards@swri.org>  Sun, 07 Feb 2016 06:00:00 -0000

ros-indigo-industrial-robot-simulator (0.4.2-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Wed, 21 Oct 2015 05:00:00 -0000

ros-indigo-industrial-robot-simulator (0.4.1-0trusty) trusty; urgency=high

  * Fixed changelog links to point to main repo
  * Contributors: Shaun Edwards

 -- Shaun Edwards <sedwards@swri.org>  Mon, 23 Mar 2015 05:00:00 -0000

ros-indigo-industrial-robot-simulator (0.4.0-0trusty) trusty; urgency=high

  * Fixed roslaunch test dependency and build depends for robot simulator package
  * Corrected roslaunch test and added rospy depends to industrial_robot_simulator package
  * Removed extraneous dependencies.  Re-enable launch test
  * robot_simulator: add TU Delft copyright as well.
  * robot_simulator: add BSD license header. Fix #90 <https://github.com/ros-industrial/industrial_core/issues/90>.
  * robot_simulator: set explicit queue size in Publishers. Fix #99 <https://github.com/ros-industrial/industrial_core/issues/99>.
    Queue size of 1 is most likely sufficient for these topics.
  * robot_simulator: add GetRobotInfo svc server.
  * robot_simulator: quiet down node (use logdebug()).
  * Merge pull request #88 <https://github.com/ros-industrial/industrial_core/issues/88> from gavanderhoorn/rob_sim_robot_status
    Add RobotStatus publishing to robot simulator node
  * robot_simulator: remove redundant load_manifest(). Fix #63 <https://github.com/ros-industrial/industrial_core/issues/63>.
  * robot_simulator: update manifest (depend on industrial_msgs).
  * robot_simulator: publish RobotStatus msgs as well.
  * robot_simulator: make initial joint state configurable. Fix #73 <https://github.com/ros-industrial/industrial_core/issues/73>.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Shaun Edwards <sedwards@swri.org>  Sat, 21 Mar 2015 05:00:00 -0000

ros-indigo-industrial-robot-simulator (0.3.4-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Tue, 21 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-simulator (0.3.3-0trusty) trusty; urgency=high

  * No change

 -- Shaun Edwards <sedwards@swri.org>  Mon, 13 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-simulator (0.3.2-0trusty) trusty; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- Shaun Edwards <sedwards@swri.org>  Fri, 10 Jan 2014 06:00:00 -0000

ros-indigo-industrial-robot-simulator (0.3.1-0trusty) trusty; urgency=high

  * robot_simulator: avoid hardcoded python path. Fix #53 <https://github.com/ros-industrial/industrial_core/issues/53>.
  * Remove obsolete export tags. Fix #43 <https://github.com/ros-industrial/industrial_core/issues/43>.
  * Add install target for launchfile in sim pkg.
    Fix #35 <https://github.com/ros-industrial/industrial_core/issues/35>.
  * Fix issue #6 <https://github.com/ros-industrial/industrial_core/issues/6> (Install target fails for industrial_robot_simulator): setup.py file not required for python executables, see http://ros.org/wiki/catkin/migrating_from_rosbuild
  * bugFix: #61 <https://github.com/ros-industrial/industrial_core/issues/61> - fix joint-name remapping in industrial_robot_simulator
  * Added interpolated motion to MotionControllerSimulator class. Includes addition of interpolate(), and modification of  _motion_worker()
  * New rospy.get_param() added to IndustrialRobotSimulatorNode in order to assign motion_update_rate
  * Converted to catkin
  * Contributors: JeremyZoss, Shaun Edwards, dpsolomon, gavanderhoorn, jrgnicho

 -- Shaun Edwards <sedwards@swri.org>  Thu, 09 Jan 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-industrial-robot-simulator
Section: misc
Priority: extra
Maintainer: Shaun Edwards <sedwards@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-roslaunch (>= 1.9.55), ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/industrial_robot_simulator
Standards-Version: 3.9.2

Package: ros-indigo-industrial-robot-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-industrial-robot-client, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: The industrial robot simulator is a stand in for industrial robot driver node(s). It adheres to the driver specification for industrial robot controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-industrial-robot-simulator//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
